@import url("https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,300;0,400;0,700;1,300;1,400&display=swap");
html {
  height: 100%;
  overflow-y: scroll;
}

* {
  box-sizing: border-box;
}

body {
  background-color: #dcefff;
  background: #dcefff;
  font-family: Verdana, sans-serif;
  font-size: 15px;
  margin-top: 0;
  -webkit-font-smoothing: antialiased;
}

img {
  max-width: 100%;
}

#wrapper {
  border: none;
  background-color: #235b80;
  width: 1024px;
  max-width: 100%;
  position: relative;
  margin: 0 auto;
  min-height: 100%;
  color: #ffffff;
  box-shadow: 0 0 50px -20px #0079e3;
}

header {
  font-family: "Montserrat", sans-serif;
  height: fit-content;
  background-color: #6699CC;
  text-align: center;
  padding: 0;
  text-transform: uppercase;
  color: white;
  overflow: hidden;
  position: relative;
}

header a,
header img {
  margin: 0;
  padding: 0;
  display: block;
  box-sizing: border-box;
  position: relative;
  top: 0;
  width: 100%;
  height: auto;
}

header h1 {
  position: absolute;
  top: 0;
  right: 0.5em;
  z-index: 1;
  text-align: left;
  font-size: 6.125em;
  line-height: 0.75;
  letter-spacing: -0.05em;
  margin: 0.1em;
  text-shadow: 1px 1px 10px #13375dcf;
  width: 42%;
}

@media all and (min-width: 1024px) and (min-height: 800px) {
  header {
    height: 240px;
  }
}

nav {
  background-color: #ffffff;
  padding: 0.25em;
  text-align: center;
  display: flex;
  justify-content: center;
  margin: 0 auto;
  height: fit-content;
  width: 100%;
  gap: 6px;
  display: flex;
  flex-wrap: wrap;
  /* padding-top: 1em; */
}

nav a:active, nav a:link, nav a:visited {
  color: #000000;
  text-decoration: none;
  border-radius: 2px;
  /* display: flex; */
  line-height: 23px;
  height: 28px;
  box-sizing: border-box;
  padding: 0.25em;
  text-shadow: 2px 2px 2px white, 2px -2px 2px white, -2px 2px 2px white, -2px -2px 2px white;
  font-weight: bold;
  font-size: 18px;
  text-transform: uppercase;
  padding-left: 1.5em;
  padding-right: 1.5em;
  letter-spacing: 0.05em;
  text-align: center;
  box-shadow: 0 0 6px -2px #0a82e1;
}

nav a:hover {
  color: #004d91;
  background: aliceblue;
  box-shadow: 0 0 6px -2px #004481;
}

nav a.active {
  color: #0474bc;
  background: white;
}

main {
  padding: 1em 1em 2em;
  position: relative;
  min-height: 100%;
  width: 100%;
  overflow: auto;
  hyphens: auto;
  line-height: 1.5;
}

main img {
  border-radius: 5px;
  box-shadow: 0 0 5px -2px black;
  height: auto;
  max-width: 100%;
}

main .img-title {
  font-size: 0.75rem;
  font-style: normal;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

main .img-title em {
  font-style: normal;
}

h2 {
  font-weight: bold;
  text-align: center;
  margin-bottom: 1rem;
  margin-top: 0;
}

h3 {
  font-variant: small-caps;
  font-weight: bold;
  text-align: center;
}

h4 {
  font-variant: small-caps;
  font-size: 14px;
  text-align: center;
}

a:active, a:link, a:visited {
  color: #c5E3ff;
  text-decoration: underline;
}

a:hover {
  text-decoration: none;
  color: #ffffff;
}

article,
section {
  clear: both;
}

tr {
  height: 25px;
}

td {
  padding: 5px;
}

.leftdiv {
  float: left;
}

.rightdiv {
  float: right;
}

.left {
  float: left;
}

.right {
  float: right;
}

@media all and (min-width: 800px) {
  .col-3 {
    min-width: calc(100% - 300px - 1em);
  }
}

@media all and (max-width: 800px) {
  .col-3 {
    flex: 3;
  }
}

img.right {
  margin-left: 0.5rem;
}

img.left {
  margin-right: 0.5rem;
}

.start > div {
  display: flex;
  flex-wrap: wrap;
  gap: 1em;
  margin-bottom: 1em;
}

@media all and (max-width: 600px) {
  .start > div {
    flex-direction: column;
  }
}

.start > div > div {
  flex: 1;
}

.start > div p {
  margin-top: 0;
}

.fridges-logo {
  top: 25%;
  left: 0;
  z-index: 12;
  position: absolute;
  width: auto;
  max-height: 50%;
  filter: drop-shadow(1px 1px 10px white) brightness(1.25);
}

footer {
  font-size: 0.8rem;
  background-color: #ffffff;
  color: #000000;
  text-align: center;
  padding: 0.25em;
}

footer a:active, footer a:link, footer a:visited {
  color: #165696;
  text-decoration: none;
}

footer a:hover {
  text-decoration: none;
  color: #6699cc;
}

#statistik {
  width: 800px;
  max-width: 100%;
  margin: 0 auto;
  border-collapse: collapse;
  border-radius: 4px;
  overflow: hidden;
  box-shadow: 0 0 1px 1px #dbeefe;
}

#statistik tr td {
  background-color: #0b4a72;
  padding: 0.5em;
  text-align: left;
}

#statistik tr:nth-of-type(even) td {
  background-color: #206a99;
}

#spieler {
  box-shadow: 0 0 1px #d1d1d1;
  border-radius: 4px;
  margin-bottom: 10px;
  overflow: hidden;
  border-collapse: collapse;
  clear: both;
  text-align: center;
  width: 100%;
  margin: 0 auto 10px;
}

#spieler td {
  height: 95px;
  padding: 5px;
  color: #2e2e2e;
}

#spieler td a:active, #spieler td a:link, #spieler td a:visited {
  color: #004f99;
}

#spieler td a:hover {
  color: black;
}

#spieler tr {
  border-style: solid;
  border-width: 1px;
}

#spieler th {
  border-color: #000000;
  height: 30px;
  border-width: 0;
  padding-left: 5px;
  padding-right: 5px;
  border-style: solid;
  text-align: center;
  font-weight: normal;
  font-size: 0.8em;
  color: #ffffff;
  background-color: #555555;
  height: 20px;
}

#spieler th a:active,
#spieler th a:link,
#spieler th a:visited {
  color: white;
  display: flex;
  justify-content: center;
}

#spieler th a img {
  margin-left: 0.5em;
}

#spieler img {
  border: none;
}

#spieler .ruckth {
  width: 20px;
}

#spieler .rucktd {
  font-size: 42px;
  font-weight: bold;
  color: #777777;
}

@media all and (max-width: 1024px) {
  header h1,
  header h1 > a {
    /* display: none */
    /* margin-bottom: -14px; */
    font-size: 9vw;
  }
}

@media all and (max-width: 768px) {
  .fridges-logo {
    height: calc(100% - 1rem);
    margin: 0.5rem;
    max-height: calc(100% - 1rem);
    top: 0;
  }
}

@media all and (max-width: 500px) {
  body {
    margin: 0;
    background-color: white;
  }
  body,
  html {
    height: 100%;
  }
  #wrapper {
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    box-shadow: none;
    display: flex;
    flex-direction: column;
    min-height: 100%;
    /* height: 100%; */
  }
  #wrapper,
  footer,
  header,
  main,
  nav {
    border: none;
    border-radius: 0;
  }
  main {
    padding: 0.5em;
    flex-grow: 1;
    height: 100%;
  }
  header h1,
  header h1 > a {
    /* display: none */
    /* margin-bottom: -14px; */
  }
  nav {
    padding: 0.0em;
    gap: 0;
  }
  nav a:active,
  nav a:link,
  nav a:visited {
    font-size: 16px;
    flex: 1;
    border-radius: 0;
    box-shadow: inset 0 0 1px 0 black;
  }
  #spieler {
    font-size: 11px;
  }
  #spieler td {
    height: inherit;
    padding: 4px;
    font-weight: normal;
  }
  .rucktd {
    font-size: 30px;
    font-weight: bold;
  }
}

.invisible {
  display: none;
}

.footnotes {
  font-size: 0.8em;
}

@media all and (max-width: 410px) {
  nav a:active,
  nav a:link,
  nav a:visited {
    font-size: 13px;
    padding-left: 1.25em;
    padding-right: 1.25em;
  }
  .rucktd {
    font-size: 24px;
    font-weight: bold;
  }
}
